package net.sergeych.crypto2

enum class KeysMagickNumbers(val number: Int) {
    defaultAssymmetric(0),
    defaultSymmetric(1),
    defaultSession(2),
    ;

    companion object {

        val forNumber = entries.map { it.number to it }.toMap()

        @Suppress("unused")
        fun findFor(binaryId: BinaryId): KeysMagickNumbers? = forNumber[binaryId.magick]
    }
}